From 9fcc11b8c470d15a9f01c9266fedf2f7ca058a1d Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Thu, 10 Apr 2025 09:39:45 +1000
Subject: [PATCH v20250410] Fix DOCS and code comment for option --all

---
 doc/src/sgml/ref/pg_createsubscriber.sgml   | 7 +++++--
 src/bin/pg_basebackup/pg_createsubscriber.c | 4 ++--
 2 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/doc/src/sgml/ref/pg_createsubscriber.sgml b/doc/src/sgml/ref/pg_createsubscriber.sgml
index 73377aa..4b1d08d 100644
--- a/doc/src/sgml/ref/pg_createsubscriber.sgml
+++ b/doc/src/sgml/ref/pg_createsubscriber.sgml
@@ -94,8 +94,11 @@ PostgreSQL documentation
       <para>
        Create one subscription per database on the target server. Exceptions
        are template databases and databases that don't allow connections.
-       If the database name is not specified in publisher-server, the postgres
-       database will be used, or if that does not exist, template1 will be used.
+       To discover the list of all databases, connect to the source server
+       using the database name specified in the <option>--publisher-server</option>
+       connection string, or if not specified, the <literal>postgres</literal>
+       database will be used, or if that does not exist, <literal>template1</literal>
+       will be used.
        Automatically generated names for subscriptions, publications, and
        replication slots are used when this option is specified.
        This option cannot be used along with <option>--database</option>,
diff --git a/src/bin/pg_basebackup/pg_createsubscriber.c b/src/bin/pg_basebackup/pg_createsubscriber.c
index 1d2f39e..42aaa42 100644
--- a/src/bin/pg_basebackup/pg_createsubscriber.c
+++ b/src/bin/pg_basebackup/pg_createsubscriber.c
@@ -1963,8 +1963,8 @@ enable_subscription(PGconn *conn, const struct LogicalRepInfo *dbinfo)
 }
 
 /*
- * Fetch a list of all not-template databases from the source server and form
- * a list such that they appear as if the user has specified multiple
+ * Fetch a list of all connectable non-template databases from the source server
+ * and form a list such that they appear as if the user has specified multiple
  * --database options, one for each source database.
  */
 static void
-- 
1.8.3.1

